• Apr 4, 2012

    v1.1.0

    Version 1.1.0
     * Add custom escaper support
     * Fix E_STRICT error in i18n test
     * Update test submodule to use git://
  • Mar 1, 2012

    v1.0.0

     * Fix a bug with the "unknown pragma" exception.
     * Add a 'thrown_exceptions' constructor option: allows overriding strictness (thrown exceptions) without subclassing.
     * Fix dot notation to work with numeric indices.
     * Clean up README and code a bit.
  • Jan 9, 2012

    v0.9.0

     * Update Mustache to allow partials loaders.
     * Add a simple filesystem partials loader implementation.
     * Add a "create example" script (thanks @mogria!).
     * Add an i18n / lambda helper example.
  • Oct 14, 2011

    v0.8.1

    Fix broken 'pragmas' constructor argument.
    
  • Sep 10, 2011

    0.8.0

    Add support for higher-order sections
    Closures and callbacks can be used to provide additional functionality not
    present in Mustache core.
  • Jun 13, 2011

    0.7.1

    Fix delimiter change bugs in sections and partials.
    
  • Jun 13, 2011

    0.7.0

    Update Mustache spec to 1.1.2, fix a handful of bugs:
     * Fix whitespace bugs in partials, interpolation and comments
     * Fix a potentially serious Mustache injection bug
     * Prevent double-rendering sections
  • Jun 13, 2011

    0.6.0

    Update to Mustache spec v1.1.0
     * Add $options parameter to constructor, allowing override of character set, delimiters and pragmas.
     * Fix incorrect partials interpolation.
     * Add dot notation and implicit iterator (spec v1.1.0)
    
    There are still a few outstanding whitespace bugs, but the output is much closer to spec than previous releases. We're getting there :)
  • Mar 1, 2011

    0.5.2

    Check whether context item is an array before using it.
    Fixes #24. This will be necessary once implicit iterators make it into production. It will also save people from themselves if they put an iterable array where Mustache expects to find a context.
  • Dec 14, 2010

    0.5.1

    Add PCRE < 7 compatibility (Fixes #25)